Bug 1752918 - [4.1.z] must-gather doesn't collect config.imageregistry resource
Summary: [4.1.z] must-gather doesn't collect config.imageregistry resource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.z
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1752916
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-17 14:51 UTC by Oleg Bulatov
Modified: 2019-10-16 18:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1752916
Environment:
Last Closed: 2019-10-16 18:07:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3004 None None None 2019-10-16 18:08:09 UTC
Github openshift cluster-image-registry-operator pull 388 None None None 2019-09-20 14:52:26 UTC

Description Oleg Bulatov 2019-09-17 14:51:54 UTC
+++ This bug was initially created as a clone of Bug #1752916 +++

Description of problem:

The clusteroperator resource for the image registry doesn't have the config.imageregistry.operator.openshift.io/cluster resource in the relatedObjects field. As a result, this resource are not collected by the must-gather tool.

Comment 2 XiuJuan Wang 2019-10-10 06:09:25 UTC
Verified with payload 4.1.0-0.nightly-2019-10-09-143458
$ oc version 
Client Version: version.Info{Major:"4", Minor:"1+", GitVersion:"v4.1.19-201910081715+f351c78-dirty", GitCommit:"f351c78", GitTreeState:"dirty", BuildDate:"2019-10-08T22:25:09Z", GoVersion:"go1.11.13", Compiler:"gc", Platform:"linux/amd64"}
Server Version: version.Info{Major:"1", Minor:"13+", GitVersion:"v1.13.4+a46fb92", GitCommit:"a46fb92", GitTreeState:"clean", BuildDate:"2019-10-08T22:23:22Z", GoVersion:"go1.11.13", Compiler:"gc", Platform:"linux/amd64"}

[**** namespaces]$  ls  
default                                 openshift-cluster-version              openshift-image-registry                    openshift-machine-config-operator
kube-system                             openshift-config                       openshift-ingress                           openshift-marketplace
openshift                               openshift-config-managed               openshift-ingress-operator                  openshift-monitoring
openshift-apiserver                     openshift-console                      openshift-kube-apiserver                    openshift-operator-lifecycle-manager
openshift-apiserver-operator            openshift-console-operator             openshift-kube-apiserver-operator           openshift-service-ca
openshift-authentication                openshift-controller-manager           openshift-kube-controller-manager           openshift-service-ca-operator
openshift-authentication-operator       openshift-controller-manager-operator  openshift-kube-controller-manager-operator  openshift-service-catalog-apiserver
openshift-cluster-node-tuning-operator  openshift-dns                          openshift-kube-scheduler                    openshift-service-catalog-apiserver-operator
openshift-cluster-samples-operator      openshift-dns-operator                 openshift-kube-scheduler-operator           openshift-service-catalog-controller-manager
openshift-cluster-storage-operator      openshift-etcd                         openshift-machine-api                       openshift-service-catalog-controller-manager-operator

[**** namespaces]$ ls openshift-image-registry/
apps  apps.openshift.io  autoscaling  batch  build.openshift.io  core  image.openshift.io  openshift-image-registry.yaml  pods  route.openshift.io

[**** cluster-scoped-resources]$ tree imageregistry.operator.openshift.io/
imageregistry.operator.openshift.io/
└── configs
    └── cluster.yaml

1 directory, 1 file

Comment 4 errata-xmlrpc 2019-10-16 18:07:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3004


Note You need to log in before you can comment on or make changes to this bug.